Mailinglist Archive: opensuse (686 mails)

< Previous Next >
Re: [opensuse] CAUTION! - kernel 3.10.0 and Nvidia driver - SOLVED
On 04/07/13 00:59, Basil Chupin wrote:
I just upgraded 12.3 to the new stable kernel 3.10.0-1 and, of course, had to compile the nVidia driver (319.32 and also tried the just-released 325.08-beta) for it. The driver won't compile and so I had to go back to kernel 3.9.8-1.

In Factory, Larry (Finger) did mention several days ago that there have been a couple of changes [sorry, I forgot what they were :-( ] and that he was going to write a patch for the 3.10+ kernel he was working on. The patch is yet to come.

If you using the nouvueau driver then you may be OK but don't upgrade to 3.10.0 if you have to compile the real driver from nVidia.

BC

There is a patch available for the 319.32 driver to compile with the 3.10.0 kernel. I applied it last night and all is now fine.

The patch is attached to a post by Alin Elena in the FACTORY list but if you cannot find that post and want the path then ask and I will sent it to you.

BC

--
Using openSUSE 12.3, KDE 4.10.5 & kernel 3.10.0-1 on a system with-
AMD FX 8-core 3.6/4.2GHz processor
16GB PC14900/1866MHz Quad Channel Corsair "Vengeance" RAM
Gigabyte AMD3+ m/board; Gigabyte nVidia GTX550Ti 1GB DDR5 GPU


--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
References